Active Level 3
A31 need 2.5 update cuz one ui 3.0 is coming at January for other phones and December fire s20s and note 20s
That's my guess not sure tho

2 Comments
Active Level 4
but, a51 already got oneui 2.5
Reply
Loading...
did not know that then a31 is left
Reply
Loading...